path: /build/build/direnv-app-shells-2.34.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-shells/direnv -pv -t && \
    emerge -j ${JOBS} --nodeps app-shells/direnv
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/direnv && luet-portage --dir /pkgdir/direnv
    app-shells/direnv && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d85d403d951b105e1d3d737cad865408ebae735cb9f6f43d9d915dd931aee50e
  package:
    name: direnv
    version: 2.34.0
    category: app-shells
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Direnv is an environment switcher for the shell
    uri:
    - https://direnv.net
    license: MIT
    buildtimestamp: 2024-04-15 11:19:27.349653899 +0000 UTC m=+90.515201571
    labels:
      BDEPEND: '>=dev-lang/go-1.12 app-arch/unzip'
      DEPEND: dev-lang/go
      emerge.packages: app-shells/direnv
      kit: core-kit
      original.package.name: app-shells/direnv
      original.package.slot: "0"
      original.package.version: 2.34.0
    treedir: /build/packages
  package_dir: /pkgdir/direnv
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c29155705275f80186bdf87e830fd933d31a89686d30c264c38fd8ba0e432a77
compressiontype: zstd
files:
- usr/bin/direnv
- usr/share/doc/direnv-2.34.0/README.md.bz2
- usr/share/fish/vendor_conf.d/direnv.fish
- usr/share/man/man1/direnv-fetchurl.1.bz2
- usr/share/man/man1/direnv-stdlib.1.bz2
- usr/share/man/man1/direnv.1.bz2
- usr/share/man/man1/direnv.toml.1.bz2
- var/db/pkg/app-shells/direnv-2.34.0/BDEPEND
- var/db/pkg/app-shells/direnv-2.34.0/BUILD_TIME
- var/db/pkg/app-shells/direnv-2.34.0/CATEGORY
- var/db/pkg/app-shells/direnv-2.34.0/CBUILD
- var/db/pkg/app-shells/direnv-2.34.0/CFLAGS
- var/db/pkg/app-shells/direnv-2.34.0/CHOST
- var/db/pkg/app-shells/direnv-2.34.0/CONTENTS
- var/db/pkg/app-shells/direnv-2.34.0/COUNTER
- var/db/pkg/app-shells/direnv-2.34.0/CXXFLAGS
- var/db/pkg/app-shells/direnv-2.34.0/DEFINED_PHASES
- var/db/pkg/app-shells/direnv-2.34.0/DEPEND
- var/db/pkg/app-shells/direnv-2.34.0/DESCRIPTION
- var/db/pkg/app-shells/direnv-2.34.0/EAPI
- var/db/pkg/app-shells/direnv-2.34.0/FEATURES
- var/db/pkg/app-shells/direnv-2.34.0/HOMEPAGE
- var/db/pkg/app-shells/direnv-2.34.0/INHERITED
- var/db/pkg/app-shells/direnv-2.34.0/IUSE
- var/db/pkg/app-shells/direnv-2.34.0/IUSE_EFFECTIVE
- var/db/pkg/app-shells/direnv-2.34.0/KEYWORDS
- var/db/pkg/app-shells/direnv-2.34.0/LDFLAGS
- var/db/pkg/app-shells/direnv-2.34.0/LICENSE
- var/db/pkg/app-shells/direnv-2.34.0/NEEDED
- var/db/pkg/app-shells/direnv-2.34.0/PF
- var/db/pkg/app-shells/direnv-2.34.0/REQUIRES
- var/db/pkg/app-shells/direnv-2.34.0/RESTRICT
- var/db/pkg/app-shells/direnv-2.34.0/SIZE
- var/db/pkg/app-shells/direnv-2.34.0/SLOT
- var/db/pkg/app-shells/direnv-2.34.0/USE
- var/db/pkg/app-shells/direnv-2.34.0/direnv-2.34.0.ebuild
- var/db/pkg/app-shells/direnv-2.34.0/environment.bz2
- var/db/pkg/app-shells/direnv-2.34.0/repository
package_cacheimage: ""
runtime:
  name: direnv
  version: 2.34.0
  category: app-shells
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Direnv is an environment switcher for the shell
  uri:
  - https://direnv.net
  license: MIT
  labels:
    BDEPEND: '>=dev-lang/go-1.12 app-arch/unzip'
    DEPEND: dev-lang/go
    emerge.packages: app-shells/direnv
    kit: core-kit
    original.package.name: app-shells/direnv
    original.package.slot: "0"
    original.package.version: 2.34.0
